import uuid
import yaml
from utils.commonFunc import get_db_engine

headers = {'Content-Type': 'application/json'}

with open('/data/pythonProject/ai_target/config/config.yaml', mode='r', encoding='utf-8') as f:
    config = yaml.load(f.read(), Loader=yaml.FullLoader)
    mac_ip_config = config['mac_ip_config']

# 数据库连接引擎，依据开发环境/测试环境/生产环境 进行切换
mac = uuid.UUID(int=uuid.getnode()).hex[-12:]
if mac in ['5254003fa716', '00163e9162d9']:
    jeecg_db = get_db_engine(config['jeecg_dev_db'])
    application_inner_db = get_db_engine(config['application_inner_db_inner_ip'])
    db_config_info = config['jeecg_dev_db']
else:
    jeecg_db = get_db_engine(config['jeecg_product_db'])
    application_inner_db = get_db_engine(config['application_inner_db_outer_ip'])
    db_config_info = config['jeecg_product_db']

jeecg_product_db = get_db_engine(config['jeecg_product_db'])
application_product_db = get_db_engine(config['application_product_db'])

# 创建计划url
create_campaign_url = mac_ip_config[mac]['yourong_url'] + 'kuaishou/create/campaignCreate'

# 修改广告计划状态url
# 入参：accountId    账户id                     Long
#      putStatus    状态 1-投放、2-暂停、3-删除   int
#      userId       操作人id                    string
#      campaignIds  计划id集合                   array
# 返回结果
# {
#     "success": true,
#     "message": "操作成功！",
#     "code": 0,
#     "result": {
#         "failCount": 1,
#         "failInfo": [
#             {
#                 "message": "access token错误"
#             }
#         ],
#         "totalCount": 1
#     },
#     "timestamp": 1630030314462
# }
update_campaign_status_url = mac_ip_config[mac]['yourong_url'] + 'kuaishou/batch/batchUpdateStatus'

# 创建组和创意url
create_group_and_creative_url = mac_ip_config[mac]['yourong_url'] + 'kuaishou/create/createUnitAndCreative'

# ai_target_combine 服务的接口
# target_combine_url = mac_ip_config[mac]['ai_target_url'] + 'ai_target_combine'

# 定向人群预估查询
estimate_people_number_url = mac_ip_config[mac]['yourong_url'] + 'estimatePeopleNumber/getCount'
